Subject: Re: [PATCH v3 01/10] command-list.txt: sort with "LC_ALL=C sort"

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Nov 2021 11:18:37 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Fri, Nov 05 2021, Junio C Hamano wrote:
>
>> Ævar Arnfjörð Bjarmason  <[email-masked]> writes:
>>
>>> In a subsequent commit I'll change generate-cmdlist.sh to use C sort
>>> order, and without this change we'd be led to believe that that change
>>> caused a meaningful change in the output,
>>
>> What I found misleading in this sentence (which hasn't changed after
>> I pointed it out in the previous iterations) is that[...]
>
> I tried to clarify what you raised in the previous iteration with the
> new paragraph after the one you're quoting. I.e.:
>
>     Note that this refers to the sort order of the lines in
>     command-list.txt, a subsequent commit will also change how we treat
>     the sort order of the "category" fields, but that's unrelated to this
>     change.

Yeah, but my question was not about the order of category tokens on
each line.  My question was the order of these lines in the file.

The new pargraph is answering a question that wasn't asked.

>> Is this talking about the order of entries in command-list.h file?
>>
>> Also, if the script sorts the input, whether it is in C locale or
>> other locale, it would not matter how the input originally is
>> sorted, as the input does not have duplicated entries to make sort
>> stability matter, no?
>
> This change is just to make this consistent for human editors. I think
> we re-sort this wherever we display this in git, whether that's via
> help.c or the completion powered by git.c.

So

>> order, and without this change we'd be led to believe that that change
>> caused a meaningful change in the output,

is something irrelevant to explain what this change is, no?